Problem install mapserver on ubuntu 18.04

classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|

Problem install mapserver on ubuntu 18.04

robertomarzocchi
Dear all, 

I try to install mapserver on ubuntu 18.04 (I have also a qgis server installed but I suppose it is not a problem, I already done the installation in old server)


when I type mapserv -v on terminal it's OK

MapServer version 7.0.7 OUTPUT=PNG OUTPUT=JPEG OUTPUT=KML SUPPORTS=PROJ SUPPORTS=AGG SUPPORTS=FREETYPE SUPPORTS=CAIRO SUPPORTS=SVG_SYMBOLS SUPPORTS=RSVG SUPPORTS=ICONV SUPPORTS=FRIBIDI SUPPORTS=WMS_SERVER SUPPORTS=WMS_CLIENT SUPPORTS=WFS_SERVER SUPPORTS=WFS_CLIENT SUPPORTS=WCS_SERVER SUPPORTS=SOS_SERVER SUPPORTS=FASTCGI SUPPORTS=THREADS SUPPORTS=GEOS INPUT=JPEG INPUT=POSTGIS INPUT=OGR INPUT=GDAL INPUT=SHAPEFILE

when I try to use the cgi service I have some problem:


No error on apache log and a file not readable as output [1]

Thanks in advanced for your support

R





Eng. Roberto Marzocchi, PhD
GIS Project Coordinator
Gter srl (Unige spin-off)
Piazza De Marini 3/61 - 16123 Genova
P.IVA/CF 01998770992
ph: 010-8694830 - mob: 349-8786575
E-mail: [hidden email]
skype: roberto.marzocchi84
www.gter.it

--
Gter social
www.twitter.com/Gteronline - www.facebook.com/Gteronline - https://plus.google.com/+GterIt/posts 
www.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis

-----------------------------------------------------------------
Please consider the environment before printing this email! 




_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users
Reply | Threaded
Open this post in threaded view
|

Re: Problem install mapserver on ubuntu 18.04

jmckenna
Administrator
Maybe it is permissions on your mapserv executable.  Make sure that your
Apache user has permissions to execute that file (or chmod to '777'
temporarily to verify).

-jeff



--
Jeff McKenna
MapServer Consulting and Training Services
https://gatewaygeomatics.com/




On 2019-04-04 5:19 AM, Roberto Marzocchi wrote:

> Dear all,
>
> I try to install mapserver on ubuntu 18.04 (I have also a qgis server
> installed but I suppose it is not a problem, I already done the
> installation in old server)
>
>
> when I type mapserv -v on terminal it's OK
>
> MapServer version 7.0.7 OUTPUT=PNG OUTPUT=JPEG OUTPUT=KML SUPPORTS=PROJ
> SUPPORTS=AGG SUPPORTS=FREETYPE SUPPORTS=CAIRO SUPPORTS=SVG_SYMBOLS
> SUPPORTS=RSVG SUPPORTS=ICONV SUPPORTS=FRIBIDI SUPPORTS=WMS_SERVER
> SUPPORTS=WMS_CLIENT SUPPORTS=WFS_SERVER SUPPORTS=WFS_CLIENT
> SUPPORTS=WCS_SERVER SUPPORTS=SOS_SERVER SUPPORTS=FASTCGI
> SUPPORTS=THREADS SUPPORTS=GEOS INPUT=JPEG INPUT=POSTGIS INPUT=OGR
> INPUT=GDAL INPUT=SHAPEFILE
>
> when I try to use the cgi service I have some problem:
>
> http://localhost/cgi-bin/mapserv?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetCapabilities
>
> No error on apache log and a file not readable as output [1]
>
> Thanks in advanced for your support
>
> R
>
>
> [1] - https://docs.zoho.eu/file/1htkm3ff6db579e8d41e8835e76364cd84447
>
>
>
_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users
Reply | Threaded
Open this post in threaded view
|

Re: Problem install mapserver on ubuntu 18.04

robertomarzocchi
Permission are right (755) anyway I try to change it and nothing change

Perhaps a problem with fastcgi? I installed php7.2-fpm package

R

Eng. Roberto Marzocchi, PhD
GIS Project Coordinator
Gter srl (Unige spin-off)
Piazza De Marini 3/61 - 16123 Genova
P.IVA/CF 01998770992
ph: 010-8694830 - mob: 349-8786575
E-mail: [hidden email]
skype: roberto.marzocchi84
www.gter.it

--
Gter social
www.twitter.com/Gteronline - www.facebook.com/Gteronline - https://plus.google.com/+GterIt/posts 
www.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis

-----------------------------------------------------------------
Please consider the environment before printing this email! 



---- On gio, 04 apr 2019 14:13:36 +0200 Jeff McKenna <[hidden email]> wrote ----

Maybe it is permissions on your mapserv executable. Make sure that your
Apache user has permissions to execute that file (or chmod to '777'
temporarily to verify).

-jeff



--
Jeff McKenna
MapServer Consulting and Training Services




On 2019-04-04 5:19 AM, Roberto Marzocchi wrote:
> Dear all,
>
> I try to install mapserver on ubuntu 18.04 (I have also a qgis server
> installed but I suppose it is not a problem, I already done the
> installation in old server)
>
>
> when I type mapserv -v on terminal it's OK
>
> MapServer version 7.0.7 OUTPUT=PNG OUTPUT=JPEG OUTPUT=KML SUPPORTS=PROJ
> SUPPORTS=AGG SUPPORTS=FREETYPE SUPPORTS=CAIRO SUPPORTS=SVG_SYMBOLS
> SUPPORTS=RSVG SUPPORTS=ICONV SUPPORTS=FRIBIDI SUPPORTS=WMS_SERVER
> SUPPORTS=WMS_CLIENT SUPPORTS=WFS_SERVER SUPPORTS=WFS_CLIENT
> SUPPORTS=WCS_SERVER SUPPORTS=SOS_SERVER SUPPORTS=FASTCGI
> SUPPORTS=THREADS SUPPORTS=GEOS INPUT=JPEG INPUT=POSTGIS INPUT=OGR
> INPUT=GDAL INPUT=SHAPEFILE
>
> when I try to use the cgi service I have some problem:
>
>
> No error on apache log and a file not readable as output [1]
>
> Thanks in advanced for your support
>
> R
>
>
>
>
>
_______________________________________________
mapserver-users mailing list



_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users
Reply | Threaded
Open this post in threaded view
|

Re: Problem install mapserver on ubuntu 18.04

jmckenna
Administrator
Sounds like you are maybe trying to load PHP mapscript also.  Disable
that extension in your php.ini, restart Apache, and then retry through
your browser.

-jeff


--
Jeff McKenna
MapServer Consulting and Training Services
https://gatewaygeomatics.com/



On 2019-04-04 8:20 AM, Roberto Marzocchi wrote:

> Permission are right (755) anyway I try to change it and nothing change
>
> Perhaps a problem with fastcgi? I installed php7.2-fpm package
>
> R
>
> Eng. Roberto Marzocchi, PhD GIS Project Coordinator Gter srl (Unige
> spin-off) Piazza De Marini 3/61 - 16123 Genova P.IVA/CF  <http://P.IVA/CF>01998770992 ph: 010-8694830 - mob: 349-8786575 E-mail:
> [hidden email]  <mailto:[hidden email]>skype: roberto.marzocchi84 www.gter.it  <http://www.gter.it>-- Gter social www.twitter.com/Gteronline  <http://www.twitter.com/Gteronline>- www.facebook.com/Gteronline  <http://www.facebook.com/Gteronline>-
> https://plus.google.com/+GterIt/postswww.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis  <http://www.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis>----------------------------------------------------------------- Please
> consider the environment before printing this email!
>
>
>
>
> ---- On gio, 04 apr 2019 14:13:36 +0200 *Jeff McKenna
> <[hidden email]>* wrote ----
>
>     Maybe it is permissions on your mapserv executable. Make sure that your
>     Apache user has permissions to execute that file (or chmod to '777'
>     temporarily to verify).
>
>     -jeff
>
>
>
>     --
>     Jeff McKenna
>     MapServer Consulting and Training Services
>     https://gatewaygeomatics.com/
>
>
>
>
>     On 2019-04-04 5:19 AM, Roberto Marzocchi wrote:
>      > Dear all,
>      >
>      > I try to install mapserver on ubuntu 18.04 (I have also a qgis
>     server
>      > installed but I suppose it is not a problem, I already done the
>      > installation in old server)
>      >
>      >
>      > when I type mapserv -v on terminal it's OK
>      >
>      > MapServer version 7.0.7 OUTPUT=PNG OUTPUT=JPEG OUTPUT=KML
>     SUPPORTS=PROJ
>      > SUPPORTS=AGG SUPPORTS=FREETYPE SUPPORTS=CAIRO SUPPORTS=SVG_SYMBOLS
>      > SUPPORTS=RSVG SUPPORTS=ICONV SUPPORTS=FRIBIDI SUPPORTS=WMS_SERVER
>      > SUPPORTS=WMS_CLIENT SUPPORTS=WFS_SERVER SUPPORTS=WFS_CLIENT
>      > SUPPORTS=WCS_SERVER SUPPORTS=SOS_SERVER SUPPORTS=FASTCGI
>      > SUPPORTS=THREADS SUPPORTS=GEOS INPUT=JPEG INPUT=POSTGIS INPUT=OGR
>      > INPUT=GDAL INPUT=SHAPEFILE
>      >
>      > when I try to use the cgi service I have some problem:
>      >
>      >
>     http://localhost/cgi-bin/mapserv?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetCapabilities
>      >
>      > No error on apache log and a file not readable as output [1]
>      >
>      > Thanks in advanced for your support
>      >
>      > R
>      >
>      >
>      > [1] - https://docs.zoho.eu/file/1htkm3ff6db579e8d41e8835e76364cd84447
>      >
>      >
>      >
>     _______________________________________________
>     mapserver-users mailing list
>     [hidden email] <mailto:[hidden email]>
>     https://lists.osgeo.org/mailman/listinfo/mapserver-users
>
>
>

_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users
Reply | Threaded
Open this post in threaded view
|

Re: Problem install mapserver on ubuntu 18.04

rgreenwood
In reply to this post by robertomarzocchi
Have you enabled cgi and fcgi?
   sudo a2enmod cgi fcgid
php is not used or necessary for WMS.

On Thu, Apr 4, 2019 at 6:20 AM Roberto Marzocchi <[hidden email]> wrote:
Permission are right (755) anyway I try to change it and nothing change

Perhaps a problem with fastcgi? I installed php7.2-fpm package

R

Eng. Roberto Marzocchi, PhD
GIS Project Coordinator
Gter srl (Unige spin-off)
Piazza De Marini 3/61 - 16123 Genova
P.IVA/CF 01998770992
ph: 010-8694830 - mob: 349-8786575
E-mail: [hidden email]
skype: roberto.marzocchi84
www.gter.it

--
Gter social
www.twitter.com/Gteronline - www.facebook.com/Gteronline - https://plus.google.com/+GterIt/posts 
www.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis

-----------------------------------------------------------------
Please consider the environment before printing this email! 



---- On gio, 04 apr 2019 14:13:36 +0200 Jeff McKenna <[hidden email]> wrote ----

Maybe it is permissions on your mapserv executable. Make sure that your
Apache user has permissions to execute that file (or chmod to '777'
temporarily to verify).

-jeff



--
Jeff McKenna
MapServer Consulting and Training Services




On 2019-04-04 5:19 AM, Roberto Marzocchi wrote:
> Dear all,
>
> I try to install mapserver on ubuntu 18.04 (I have also a qgis server
> installed but I suppose it is not a problem, I already done the
> installation in old server)
>
>
> when I type mapserv -v on terminal it's OK
>
> MapServer version 7.0.7 OUTPUT=PNG OUTPUT=JPEG OUTPUT=KML SUPPORTS=PROJ
> SUPPORTS=AGG SUPPORTS=FREETYPE SUPPORTS=CAIRO SUPPORTS=SVG_SYMBOLS
> SUPPORTS=RSVG SUPPORTS=ICONV SUPPORTS=FRIBIDI SUPPORTS=WMS_SERVER
> SUPPORTS=WMS_CLIENT SUPPORTS=WFS_SERVER SUPPORTS=WFS_CLIENT
> SUPPORTS=WCS_SERVER SUPPORTS=SOS_SERVER SUPPORTS=FASTCGI
> SUPPORTS=THREADS SUPPORTS=GEOS INPUT=JPEG INPUT=POSTGIS INPUT=OGR
> INPUT=GDAL INPUT=SHAPEFILE
>
> when I try to use the cgi service I have some problem:
>
>
> No error on apache log and a file not readable as output [1]
>
> Thanks in advanced for your support
>
> R
>
>
>
>
>
_______________________________________________
mapserver-users mailing list


_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users


--
Richard W. Greenwood, PLS
www.greenwoodmap.com

_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users
Reply | Threaded
Open this post in threaded view
|

Re: Problem install mapserver on ubuntu 18.04

robertomarzocchi
sorry I enable fastcgi but not cgi

R

Eng. Roberto Marzocchi, PhD
GIS Project Coordinator
Gter srl (Unige spin-off)
Piazza De Marini 3/61 - 16123 Genova
P.IVA/CF 01998770992
ph: 010-8694830 - mob: 349-8786575
E-mail: [hidden email]
skype: roberto.marzocchi84
www.gter.it

--
Gter social
www.twitter.com/Gteronline - www.facebook.com/Gteronline - https://plus.google.com/+GterIt/posts 
www.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis

-----------------------------------------------------------------
Please consider the environment before printing this email! 



---- On gio, 04 apr 2019 14:29:33 +0200 Richard Greenwood <[hidden email]> wrote ----

Have you enabled cgi and fcgi?
   sudo a2enmod cgi fcgid
php is not used or necessary for WMS.

On Thu, Apr 4, 2019 at 6:20 AM Roberto Marzocchi <[hidden email]> wrote:



--
Richard W. Greenwood, PLS

Permission are right (755) anyway I try to change it and nothing change

Perhaps a problem with fastcgi? I installed php7.2-fpm package

R

Eng. Roberto Marzocchi, PhD
GIS Project Coordinator
Gter srl (Unige spin-off)
Piazza De Marini 3/61 - 16123 Genova
P.IVA/CF 01998770992
ph: 010-8694830 - mob: 349-8786575
E-mail: [hidden email]
skype: roberto.marzocchi84
www.gter.it

--
Gter social
www.twitter.com/Gteronline - www.facebook.com/Gteronline - https://plus.google.com/+GterIt/posts 
www.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis

-----------------------------------------------------------------
Please consider the environment before printing this email! 



---- On gio, 04 apr 2019 14:13:36 +0200 Jeff McKenna <[hidden email]> wrote ----

Maybe it is permissions on your mapserv executable. Make sure that your
Apache user has permissions to execute that file (or chmod to '777'
temporarily to verify).

-jeff



--
Jeff McKenna
MapServer Consulting and Training Services




On 2019-04-04 5:19 AM, Roberto Marzocchi wrote:
> Dear all,
>
> I try to install mapserver on ubuntu 18.04 (I have also a qgis server
> installed but I suppose it is not a problem, I already done the
> installation in old server)
>
>
> when I type mapserv -v on terminal it's OK
>
> MapServer version 7.0.7 OUTPUT=PNG OUTPUT=JPEG OUTPUT=KML SUPPORTS=PROJ
> SUPPORTS=AGG SUPPORTS=FREETYPE SUPPORTS=CAIRO SUPPORTS=SVG_SYMBOLS
> SUPPORTS=RSVG SUPPORTS=ICONV SUPPORTS=FRIBIDI SUPPORTS=WMS_SERVER
> SUPPORTS=WMS_CLIENT SUPPORTS=WFS_SERVER SUPPORTS=WFS_CLIENT
> SUPPORTS=WCS_SERVER SUPPORTS=SOS_SERVER SUPPORTS=FASTCGI
> SUPPORTS=THREADS SUPPORTS=GEOS INPUT=JPEG INPUT=POSTGIS INPUT=OGR
> INPUT=GDAL INPUT=SHAPEFILE
>
> when I try to use the cgi service I have some problem:
>
>
> No error on apache log and a file not readable as output [1]
>
> Thanks in advanced for your support
>
> R
>
>
>
>
>
_______________________________________________
mapserver-users mailing list


_______________________________________________
mapserver-users mailing list



_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users
Reply | Threaded
Open this post in threaded view
|

Re: Problem install mapserver on ubuntu 18.04

rgreenwood
To run it as fcgi it needs the .fcgi file extension. You can just symlink:
   sudo ln -s /usr/lib/cgi-bin/mapserv /usr/lib/cgi-bin/mapserv.fcgi
and then your request needs to be:
   http://localhost/cgi-bin/mapserv.fcgi?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetCapabilities
 

On Thu, Apr 4, 2019 at 6:34 AM Roberto Marzocchi <[hidden email]> wrote:
sorry I enable fastcgi but not cgi

R

Eng. Roberto Marzocchi, PhD
GIS Project Coordinator
Gter srl (Unige spin-off)
Piazza De Marini 3/61 - 16123 Genova
P.IVA/CF 01998770992
ph: 010-8694830 - mob: 349-8786575
E-mail: [hidden email]
skype: roberto.marzocchi84
www.gter.it

--
Gter social
www.twitter.com/Gteronline - www.facebook.com/Gteronline - https://plus.google.com/+GterIt/posts 
www.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis

-----------------------------------------------------------------
Please consider the environment before printing this email! 



---- On gio, 04 apr 2019 14:29:33 +0200 Richard Greenwood <[hidden email]> wrote ----

Have you enabled cgi and fcgi?
   sudo a2enmod cgi fcgid
php is not used or necessary for WMS.

On Thu, Apr 4, 2019 at 6:20 AM Roberto Marzocchi <[hidden email]> wrote:



--
Richard W. Greenwood, PLS

Permission are right (755) anyway I try to change it and nothing change

Perhaps a problem with fastcgi? I installed php7.2-fpm package

R

Eng. Roberto Marzocchi, PhD
GIS Project Coordinator
Gter srl (Unige spin-off)
Piazza De Marini 3/61 - 16123 Genova
P.IVA/CF 01998770992
ph: 010-8694830 - mob: 349-8786575
E-mail: [hidden email]
skype: roberto.marzocchi84
www.gter.it

--
Gter social
www.twitter.com/Gteronline - www.facebook.com/Gteronline - https://plus.google.com/+GterIt/posts 
www.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis

-----------------------------------------------------------------
Please consider the environment before printing this email! 



---- On gio, 04 apr 2019 14:13:36 +0200 Jeff McKenna <[hidden email]> wrote ----

Maybe it is permissions on your mapserv executable. Make sure that your
Apache user has permissions to execute that file (or chmod to '777'
temporarily to verify).

-jeff



--
Jeff McKenna
MapServer Consulting and Training Services




On 2019-04-04 5:19 AM, Roberto Marzocchi wrote:
> Dear all,
>
> I try to install mapserver on ubuntu 18.04 (I have also a qgis server
> installed but I suppose it is not a problem, I already done the
> installation in old server)
>
>
> when I type mapserv -v on terminal it's OK
>
> MapServer version 7.0.7 OUTPUT=PNG OUTPUT=JPEG OUTPUT=KML SUPPORTS=PROJ
> SUPPORTS=AGG SUPPORTS=FREETYPE SUPPORTS=CAIRO SUPPORTS=SVG_SYMBOLS
> SUPPORTS=RSVG SUPPORTS=ICONV SUPPORTS=FRIBIDI SUPPORTS=WMS_SERVER
> SUPPORTS=WMS_CLIENT SUPPORTS=WFS_SERVER SUPPORTS=WFS_CLIENT
> SUPPORTS=WCS_SERVER SUPPORTS=SOS_SERVER SUPPORTS=FASTCGI
> SUPPORTS=THREADS SUPPORTS=GEOS INPUT=JPEG INPUT=POSTGIS INPUT=OGR
> INPUT=GDAL INPUT=SHAPEFILE
>
> when I try to use the cgi service I have some problem:
>
>
> No error on apache log and a file not readable as output [1]
>
> Thanks in advanced for your support
>
> R
>
>
>
>
>
_______________________________________________
mapserver-users mailing list


_______________________________________________
mapserver-users mailing list




--
Richard W. Greenwood, PLS
www.greenwoodmap.com

_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users
Reply | Threaded
Open this post in threaded view
|

Re: Problem install mapserver on ubuntu 18.04

robertomarzocchi
Thanks! Now it is all clear!

Sorry for my stupid question
R

Eng. Roberto Marzocchi, PhD
GIS Project Coordinator
Gter srl (Unige spin-off)
Piazza De Marini 3/61 - 16123 Genova
P.IVA/CF 01998770992
ph: 010-8694830 - mob: 349-8786575
E-mail: [hidden email]
skype: roberto.marzocchi84
www.gter.it

--
Gter social
www.twitter.com/Gteronline - www.facebook.com/Gteronline - https://plus.google.com/+GterIt/posts 
www.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis

-----------------------------------------------------------------
Please consider the environment before printing this email! 



---- On gio, 04 apr 2019 14:44:09 +0200 Richard Greenwood <[hidden email]> wrote ----

To run it as fcgi it needs the .fcgi file extension. You can just symlink:
   sudo ln -s /usr/lib/cgi-bin/mapserv /usr/lib/cgi-bin/mapserv.fcgi
and then your request needs to be:
   http://localhost/cgi-bin/mapserv.fcgi?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetCapabilities
 

On Thu, Apr 4, 2019 at 6:34 AM Roberto Marzocchi <[hidden email]> wrote:



--
Richard W. Greenwood, PLS

sorry I enable fastcgi but not cgi

R

Eng. Roberto Marzocchi, PhD
GIS Project Coordinator
Gter srl (Unige spin-off)
Piazza De Marini 3/61 - 16123 Genova
P.IVA/CF 01998770992
ph: 010-8694830 - mob: 349-8786575
E-mail: [hidden email]
skype: roberto.marzocchi84
www.gter.it

--
Gter social
www.twitter.com/Gteronline - www.facebook.com/Gteronline - https://plus.google.com/+GterIt/posts 
www.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis

-----------------------------------------------------------------
Please consider the environment before printing this email! 



---- On gio, 04 apr 2019 14:29:33 +0200 Richard Greenwood <[hidden email]> wrote ----

Have you enabled cgi and fcgi?
   sudo a2enmod cgi fcgid
php is not used or necessary for WMS.

On Thu, Apr 4, 2019 at 6:20 AM Roberto Marzocchi <[hidden email]> wrote:



--
Richard W. Greenwood, PLS

Permission are right (755) anyway I try to change it and nothing change

Perhaps a problem with fastcgi? I installed php7.2-fpm package

R

Eng. Roberto Marzocchi, PhD
GIS Project Coordinator
Gter srl (Unige spin-off)
Piazza De Marini 3/61 - 16123 Genova
P.IVA/CF 01998770992
ph: 010-8694830 - mob: 349-8786575
E-mail: [hidden email]
skype: roberto.marzocchi84
www.gter.it

--
Gter social
www.twitter.com/Gteronline - www.facebook.com/Gteronline - https://plus.google.com/+GterIt/posts 
www.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis

-----------------------------------------------------------------
Please consider the environment before printing this email! 



---- On gio, 04 apr 2019 14:13:36 +0200 Jeff McKenna <[hidden email]> wrote ----

Maybe it is permissions on your mapserv executable. Make sure that your
Apache user has permissions to execute that file (or chmod to '777'
temporarily to verify).

-jeff



--
Jeff McKenna
MapServer Consulting and Training Services




On 2019-04-04 5:19 AM, Roberto Marzocchi wrote:
> Dear all,
>
> I try to install mapserver on ubuntu 18.04 (I have also a qgis server
> installed but I suppose it is not a problem, I already done the
> installation in old server)
>
>
> when I type mapserv -v on terminal it's OK
>
> MapServer version 7.0.7 OUTPUT=PNG OUTPUT=JPEG OUTPUT=KML SUPPORTS=PROJ
> SUPPORTS=AGG SUPPORTS=FREETYPE SUPPORTS=CAIRO SUPPORTS=SVG_SYMBOLS
> SUPPORTS=RSVG SUPPORTS=ICONV SUPPORTS=FRIBIDI SUPPORTS=WMS_SERVER
> SUPPORTS=WMS_CLIENT SUPPORTS=WFS_SERVER SUPPORTS=WFS_CLIENT
> SUPPORTS=WCS_SERVER SUPPORTS=SOS_SERVER SUPPORTS=FASTCGI
> SUPPORTS=THREADS SUPPORTS=GEOS INPUT=JPEG INPUT=POSTGIS INPUT=OGR
> INPUT=GDAL INPUT=SHAPEFILE
>
> when I try to use the cgi service I have some problem:
>
>
> No error on apache log and a file not readable as output [1]
>
> Thanks in advanced for your support
>
> R
>
>
>
>
>
_______________________________________________
mapserver-users mailing list


_______________________________________________
mapserver-users mailing list




_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users
Reply | Threaded
Open this post in threaded view
|

Re: Problem install mapserver on ubuntu 18.04

jmckenna
Administrator
You can document all of your Ubuntu 18.04 steps on the MapServer wiki
(in the "Tricks, Tips, and Howtos" section) at
https://github.com/mapserver/mapserver/wiki#tricks-tips-and-howtos so
the next user doesn't hit your same walls,    Thanks!

-jeff


--
Jeff McKenna
MapServer Consulting and Training Services
https://gatewaygeomatics.com/



On 2019-04-04 8:50 AM, Roberto Marzocchi wrote:

> Thanks! Now it is all clear!
>
> Sorry for my stupid question
> R
>
> Eng. Roberto Marzocchi, PhD GIS Project Coordinator Gter srl (Unige
> spin-off) Piazza De Marini 3/61 - 16123 Genova P.IVA/CF  <http://P.IVA/CF>01998770992 ph: 010-8694830 - mob: 349-8786575 E-mail:
> [hidden email]  <mailto:[hidden email]>skype: roberto.marzocchi84 www.gter.it  <http://www.gter.it>-- Gter social www.twitter.com/Gteronline  <http://www.twitter.com/Gteronline>- www.facebook.com/Gteronline  <http://www.facebook.com/Gteronline>-
> https://plus.google.com/+GterIt/postswww.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis  <http://www.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis>----------------------------------------------------------------- Please
> consider the environment before printing this email!
>
>
>
>
> ---- On gio, 04 apr 2019 14:44:09 +0200 *Richard Greenwood
> <[hidden email]>* wrote ----
>
>     To run it as fcgi it needs the .fcgi file extension. You can just
>     symlink:
>         sudo ln -s /usr/lib/cgi-bin/mapserv /usr/lib/cgi-bin/mapserv.fcgi
>     and then your request needs to be:
>     http://localhost/cgi-bin/mapserv*.fcgi*?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetCapabilities
>
>
>     On Thu, Apr 4, 2019 at 6:34 AM Roberto Marzocchi
>     <[hidden email] <mailto:[hidden email]>> wrote:
>
>
>
>     --
>     Richard W. Greenwood, PLS
>     www.greenwoodmap.com <http://www.greenwoodmap.com>
>
>         __
>         sorry I enable fastcgi but not cgi
>
>         R
>
>         Eng. Roberto Marzocchi, PhD GIS Project Coordinator Gter srl
>         (Unige spin-off) Piazza De Marini 3/61 - 16123 Genova P.IVA/CF  <http://P.IVA/CF>01998770992 ph: 010-8694830 - mob: 349-8786575 E-mail:
>         [hidden email]  <mailto:[hidden email]>skype: roberto.marzocchi84 www.gter.it  <http://www.gter.it>-- Gter social www.twitter.com/Gteronline  <http://www.twitter.com/Gteronline>- www.facebook.com/Gteronline  <http://www.facebook.com/Gteronline>-
>         https://plus.google.com/+GterIt/postswww.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis  <http://www.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis>----------------------------------------------------------------- Please
>         consider the environment before printing this email!
>
>
>
>
>         ---- On gio, 04 apr 2019 14:29:33 +0200 *Richard Greenwood
>         <[hidden email]
>         <mailto:[hidden email]>>* wrote ----
>
>             Have you enabled cgi and fcgi?
>                 sudo a2enmod cgi fcgid
>             php is not used or necessary for WMS.
>
>             On Thu, Apr 4, 2019 at 6:20 AM Roberto Marzocchi
>             <[hidden email]
>             <mailto:[hidden email]>> wrote:
>
>
>
>             --
>             Richard W. Greenwood, PLS
>             www.greenwoodmap.com <http://www.greenwoodmap.com>
>
>                 __
>                 Permission are right (755) anyway I try to change it and
>                 nothing change
>
>                 Perhaps a problem with fastcgi? I installed php7.2-fpm
>                 package
>
>                 R
>
>                 Eng. Roberto Marzocchi, PhD GIS Project Coordinator Gter
>                 srl (Unige spin-off) Piazza De Marini 3/61 - 16123
>                 Genova P.IVA/CF  <http://P.IVA/CF>01998770992 ph: 010-8694830 - mob: 349-8786575 E-mail:
>                 [hidden email]  <mailto:[hidden email]>skype: roberto.marzocchi84 www.gter.it  <http://www.gter.it>-- Gter social www.twitter.com/Gteronline  <http://www.twitter.com/Gteronline>- www.facebook.com/Gteronline  <http://www.facebook.com/Gteronline>-
>                 https://plus.google.com/+GterIt/postswww.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis  <http://www.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis>-----------------------------------------------------------------
>                 Please consider the environment before printing this email!
>
>
>
>
>                 ---- On gio, 04 apr 2019 14:13:36 +0200 *Jeff McKenna
>                 <[hidden email]
>                 <mailto:[hidden email]>>* wrote ----
>
>                     Maybe it is permissions on your mapserv executable.
>                     Make sure that your
>                     Apache user has permissions to execute that file (or
>                     chmod to '777'
>                     temporarily to verify).
>
>                     -jeff
>
>
>
>                     --
>                     Jeff McKenna
>                     MapServer Consulting and Training Services
>                     https://gatewaygeomatics.com/
>
>
>
>
>                     On 2019-04-04 5:19 AM, Roberto Marzocchi wrote:
>                      > Dear all,
>                      >
>                      > I try to install mapserver on ubuntu 18.04 (I
>                     have also a qgis server
>                      > installed but I suppose it is not a problem, I
>                     already done the
>                      > installation in old server)
>                      >
>                      >
>                      > when I type mapserv -v on terminal it's OK
>                      >
>                      > MapServer version 7.0.7 OUTPUT=PNG OUTPUT=JPEG
>                     OUTPUT=KML SUPPORTS=PROJ
>                      > SUPPORTS=AGG SUPPORTS=FREETYPE SUPPORTS=CAIRO
>                     SUPPORTS=SVG_SYMBOLS
>                      > SUPPORTS=RSVG SUPPORTS=ICONV SUPPORTS=FRIBIDI
>                     SUPPORTS=WMS_SERVER
>                      > SUPPORTS=WMS_CLIENT SUPPORTS=WFS_SERVER
>                     SUPPORTS=WFS_CLIENT
>                      > SUPPORTS=WCS_SERVER SUPPORTS=SOS_SERVER
>                     SUPPORTS=FASTCGI
>                      > SUPPORTS=THREADS SUPPORTS=GEOS INPUT=JPEG
>                     INPUT=POSTGIS INPUT=OGR
>                      > INPUT=GDAL INPUT=SHAPEFILE
>                      >
>                      > when I try to use the cgi service I have some
>                     problem:
>                      >
>                      >
>                     http://localhost/cgi-bin/mapserv?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetCapabilities
>                      >
>                      > No error on apache log and a file not readable as
>                     output [1]
>                      >
>                      > Thanks in advanced for your support
>                      >
>                      > R
>                      >
>                      >
>                      > [1] -
>                     https://docs.zoho.eu/file/1htkm3ff6db579e8d41e8835e76364cd84447
>                      >


_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users
Reply | Threaded
Open this post in threaded view
|

Re: Problem install mapserver on ubuntu 18.04

robertomarzocchi
I try to do it  ;-) 

Cheers, 
R

Eng. Roberto Marzocchi, PhD
GIS Project Coordinator
Gter srl (Unige spin-off)
Piazza De Marini 3/61 - 16123 Genova
P.IVA/CF 01998770992
ph: 010-8694830 - mob: 349-8786575
E-mail: [hidden email]
skype: roberto.marzocchi84
www.gter.it

--
Gter social
www.twitter.com/Gteronline - www.facebook.com/Gteronline - https://plus.google.com/+GterIt/posts 
www.linkedin.com/company/gter-srl-innovazione-in-geomatica-gnss-e-gis

-----------------------------------------------------------------
Please consider the environment before printing this email! 



---- On gio, 04 apr 2019 15:27:02 +0200 Jeff McKenna <[hidden email]> wrote ----

You can document all of your Ubuntu 18.04 steps on the MapServer wiki
(in the "Tricks, Tips, and Howtos" section) at
the next user doesn't hit your same walls, Thanks!

-jeff


--
Jeff McKenna
MapServer Consulting and Training Services



On 2019-04-04 8:50 AM, Roberto Marzocchi wrote:
> Thanks! Now it is all clear!
>
> Sorry for my stupid question
> R
>
> Eng. Roberto Marzocchi, PhD GIS Project Coordinator Gter srl (Unige
> spin-off) Piazza De Marini 3/61 - 16123 Genova P.IVA/CF <http://P.IVA/CF>01998770992 ph: 010-8694830 - mob: 349-8786575 E-mail:
> [hidden email] <mailto:[hidden email]>skype: roberto.marzocchi84 www.gter.it <http://www.gter.it>-- Gter social www.twitter.com/Gteronline <http://www.twitter.com/Gteronline>- www.facebook.com/Gteronline <http://www.facebook.com/Gteronline>-
> consider the environment before printing this email!
>
>
>
>
> ---- On gio, 04 apr 2019 14:44:09 +0200 *Richard Greenwood
> <[hidden email]>* wrote ----
>
> To run it as fcgi it needs the .fcgi file extension. You can just
> symlink:
>    sudo ln -s /usr/lib/cgi-bin/mapserv /usr/lib/cgi-bin/mapserv.fcgi
> and then your request needs to be:
>
>
> On Thu, Apr 4, 2019 at 6:34 AM Roberto Marzocchi
> <[hidden email] <mailto:[hidden email]>> wrote:
>
>
>
> --
> Richard W. Greenwood, PLS
> www.greenwoodmap.com <http://www.greenwoodmap.com>
>
> __
> sorry I enable fastcgi but not cgi
>
> R
>
> Eng. Roberto Marzocchi, PhD GIS Project Coordinator Gter srl
> (Unige spin-off) Piazza De Marini 3/61 - 16123 Genova P.IVA/CF <http://P.IVA/CF>01998770992 ph: 010-8694830 - mob: 349-8786575 E-mail:
> [hidden email] <mailto:[hidden email]>skype: roberto.marzocchi84 www.gter.it <http://www.gter.it>-- Gter social www.twitter.com/Gteronline <http://www.twitter.com/Gteronline>- www.facebook.com/Gteronline <http://www.facebook.com/Gteronline>-
> consider the environment before printing this email!
>
>
>
>
> ---- On gio, 04 apr 2019 14:29:33 +0200 *Richard Greenwood
> <mailto:[hidden email]>>* wrote ----
>
> Have you enabled cgi and fcgi?
>    sudo a2enmod cgi fcgid
> php is not used or necessary for WMS.
>
> On Thu, Apr 4, 2019 at 6:20 AM Roberto Marzocchi
> <mailto:[hidden email]>> wrote:
>
>
>
> --
> Richard W. Greenwood, PLS
> www.greenwoodmap.com <http://www.greenwoodmap.com>
>
> __
> Permission are right (755) anyway I try to change it and
> nothing change
>
> Perhaps a problem with fastcgi? I installed php7.2-fpm
> package
>
> R
>
> Eng. Roberto Marzocchi, PhD GIS Project Coordinator Gter
> srl (Unige spin-off) Piazza De Marini 3/61 - 16123
> Genova P.IVA/CF <http://P.IVA/CF>01998770992 ph: 010-8694830 - mob: 349-8786575 E-mail:
> [hidden email] <mailto:[hidden email]>skype: roberto.marzocchi84 www.gter.it <http://www.gter.it>-- Gter social www.twitter.com/Gteronline <http://www.twitter.com/Gteronline>- www.facebook.com/Gteronline <http://www.facebook.com/Gteronline>-
> Please consider the environment before printing this email!
>
>
>
>
> ---- On gio, 04 apr 2019 14:13:36 +0200 *Jeff McKenna
> <mailto:[hidden email]>>* wrote ----
>
> Maybe it is permissions on your mapserv executable.
> Make sure that your
> Apache user has permissions to execute that file (or
> chmod to '777'
> temporarily to verify).
>
> -jeff
>
>
>
> --
> Jeff McKenna
> MapServer Consulting and Training Services
>
>
>
>
> On 2019-04-04 5:19 AM, Roberto Marzocchi wrote:
> > Dear all,
> >
> > I try to install mapserver on ubuntu 18.04 (I
> have also a qgis server
> > installed but I suppose it is not a problem, I
> already done the
> > installation in old server)
> >
> >
> > when I type mapserv -v on terminal it's OK
> >
> > MapServer version 7.0.7 OUTPUT=PNG OUTPUT=JPEG
> OUTPUT=KML SUPPORTS=PROJ
> > SUPPORTS=AGG SUPPORTS=FREETYPE SUPPORTS=CAIRO
> SUPPORTS=SVG_SYMBOLS
> > SUPPORTS=RSVG SUPPORTS=ICONV SUPPORTS=FRIBIDI
> SUPPORTS=WMS_SERVER
> > SUPPORTS=WMS_CLIENT SUPPORTS=WFS_SERVER
> SUPPORTS=WFS_CLIENT
> > SUPPORTS=WCS_SERVER SUPPORTS=SOS_SERVER
> SUPPORTS=FASTCGI
> > SUPPORTS=THREADS SUPPORTS=GEOS INPUT=JPEG
> INPUT=POSTGIS INPUT=OGR
> > INPUT=GDAL INPUT=SHAPEFILE
> >
> > when I try to use the cgi service I have some
> problem:
> >
> >
> >
> > No error on apache log and a file not readable as
> output [1]
> >
> > Thanks in advanced for your support
> >
> > R
> >
> >
> > [1] -
> >


_______________________________________________
mapserver-users mailing list



_______________________________________________
mapserver-users mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/mapserver-users